pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.4.6" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_globalpartition_obj102" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#3b16ad37#;
   u00002 : constant Version_32 := 16#4b33036a#;
   u00003 : constant Version_32 := 16#03570e27#;
   u00004 : constant Version_32 := 16#92bafccd#;
   u00005 : constant Version_32 := 16#bba3f787#;
   u00006 : constant Version_32 := 16#2e970608#;
   u00007 : constant Version_32 := 16#01ae6690#;
   u00008 : constant Version_32 := 16#47ea0648#;
   u00009 : constant Version_32 := 16#fdb6a70a#;
   u00010 : constant Version_32 := 16#cb88b3c7#;
   u00011 : constant Version_32 := 16#f176a26f#;
   u00012 : constant Version_32 := 16#24c1472d#;
   u00013 : constant Version_32 := 16#9c7dd3ea#;
   u00014 : constant Version_32 := 16#a927632d#;
   u00015 : constant Version_32 := 16#c59c6f02#;
   u00016 : constant Version_32 := 16#a69cad5c#;
   u00017 : constant Version_32 := 16#aca0f2c0#;
   u00018 : constant Version_32 := 16#6da85036#;
   u00019 : constant Version_32 := 16#ff99aaab#;
   u00020 : constant Version_32 := 16#20116d13#;
   u00021 : constant Version_32 := 16#9201cee0#;
   u00022 : constant Version_32 := 16#e3d85f73#;
   u00023 : constant Version_32 := 16#15e10948#;
   u00024 : constant Version_32 := 16#b6c89fbe#;
   u00025 : constant Version_32 := 16#89beb4e3#;
   u00026 : constant Version_32 := 16#2ea84b20#;
   u00027 : constant Version_32 := 16#e6cf5fa1#;
   u00028 : constant Version_32 := 16#6ad13d41#;
   u00029 : constant Version_32 := 16#83d9529a#;
   u00030 : constant Version_32 := 16#55ef7c79#;
   u00031 : constant Version_32 := 16#f87764bb#;
   u00032 : constant Version_32 := 16#e1e7b9d6#;
   u00033 : constant Version_32 := 16#dd0c5f53#;
   u00034 : constant Version_32 := 16#fcfb2939#;
   u00035 : constant Version_32 := 16#1b4afb33#;
   u00036 : constant Version_32 := 16#1a63fe0c#;
   u00037 : constant Version_32 := 16#63414e58#;
   u00038 : constant Version_32 := 16#5b8b9839#;
   u00039 : constant Version_32 := 16#055e4f88#;
   u00040 : constant Version_32 := 16#b871c253#;
   u00041 : constant Version_32 := 16#91be7b9a#;
   u00042 : constant Version_32 := 16#9e37526b#;
   u00043 : constant Version_32 := 16#672f192b#;
   u00044 : constant Version_32 := 16#9c49ee35#;
   u00045 : constant Version_32 := 16#7f8fdda0#;
   u00046 : constant Version_32 := 16#d518f3ad#;
   u00047 : constant Version_32 := 16#743d3d0d#;
   u00048 : constant Version_32 := 16#bee38ed1#;
   u00049 : constant Version_32 := 16#ccde3404#;
   u00050 : constant Version_32 := 16#3a94c120#;
   u00051 : constant Version_32 := 16#2c57c517#;
   u00052 : constant Version_32 := 16#357085b7#;
   u00053 : constant Version_32 := 16#300a43f3#;
   u00054 : constant Version_32 := 16#1e59d9c7#;
   u00055 : constant Version_32 := 16#99c8a881#;
   u00056 : constant Version_32 := 16#a8be2e1b#;
   u00057 : constant Version_32 := 16#f1f4bb47#;
   u00058 : constant Version_32 := 16#86cee0c6#;
   u00059 : constant Version_32 := 16#e57461b9#;
   u00060 : constant Version_32 := 16#59507545#;
   u00061 : constant Version_32 := 16#e98c0dd7#;
   u00062 : constant Version_32 := 16#b8e604f6#;
   u00063 : constant Version_32 := 16#d3cec6be#;
   u00064 : constant Version_32 := 16#05f38067#;
   u00065 : constant Version_32 := 16#4d4a4082#;
   u00066 : constant Version_32 := 16#04e247f8#;
   u00067 : constant Version_32 := 16#cb51c4d3#;
   u00068 : constant Version_32 := 16#daaf1a50#;
   u00069 : constant Version_32 := 16#44ed77f3#;
   u00070 : constant Version_32 := 16#5d3b3285#;
   u00071 : constant Version_32 := 16#292b2f7a#;
   u00072 : constant Version_32 := 16#ed51e533#;
   u00073 : constant Version_32 := 16#7fbd6b00#;
   u00074 : constant Version_32 := 16#0e608ba6#;
   u00075 : constant Version_32 := 16#83220b43#;
   u00076 : constant Version_32 := 16#2f39c159#;
   u00077 : constant Version_32 := 16#2105dbfc#;
   u00078 : constant Version_32 := 16#66f42c87#;
   u00079 : constant Version_32 := 16#41c587ba#;
   u00080 : constant Version_32 := 16#0255db5c#;
   u00081 : constant Version_32 := 16#e29c1a74#;
   u00082 : constant Version_32 := 16#218c434b#;
   u00083 : constant Version_32 := 16#17f3e8d4#;
   u00084 : constant Version_32 := 16#fa683506#;
   u00085 : constant Version_32 := 16#0cf21ca0#;
   u00086 : constant Version_32 := 16#f324aafb#;
   u00087 : constant Version_32 := 16#a9f02e6b#;
   u00088 : constant Version_32 := 16#f91553b1#;
   u00089 : constant Version_32 := 16#b2a28bd9#;
   u00090 : constant Version_32 := 16#f5269f91#;
   u00091 : constant Version_32 := 16#82450ba2#;
   u00092 : constant Version_32 := 16#9b936ce6#;
   u00093 : constant Version_32 := 16#210db884#;
   u00094 : constant Version_32 := 16#230f0e59#;
   u00095 : constant Version_32 := 16#cb541dd4#;
   u00096 : constant Version_32 := 16#ef99ed3a#;
   u00097 : constant Version_32 := 16#8820fe4a#;
   u00098 : constant Version_32 := 16#da522d68#;
   u00099 : constant Version_32 := 16#1ce98077#;
   u00100 : constant Version_32 := 16#3af595a1#;
   u00101 : constant Version_32 := 16#e251e0c1#;
   u00102 : constant Version_32 := 16#fcec4850#;
   u00103 : constant Version_32 := 16#16dfe486#;
   u00104 : constant Version_32 := 16#6d0998e1#;
   u00105 : constant Version_32 := 16#64a5c8d5#;
   u00106 : constant Version_32 := 16#a8d17654#;
   u00107 : constant Version_32 := 16#f6ee8365#;
   u00108 : constant Version_32 := 16#dbaac317#;
   u00109 : constant Version_32 := 16#647de85b#;
   u00110 : constant Version_32 := 16#3427be93#;
   u00111 : constant Version_32 := 16#8213b492#;
   u00112 : constant Version_32 := 16#4fcf7424#;
   u00113 : constant Version_32 := 16#44c7af1b#;
   u00114 : constant Version_32 := 16#847b1a4c#;
   u00115 : constant Version_32 := 16#31db65a3#;
   u00116 : constant Version_32 := 16#29d6f453#;
   u00117 : constant Version_32 := 16#293ff6f7#;
   u00118 : constant Version_32 := 16#1b1ce223#;
   u00119 : constant Version_32 := 16#2461b049#;
   u00120 : constant Version_32 := 16#0aa29e81#;
   u00121 : constant Version_32 := 16#2274d34a#;
   u00122 : constant Version_32 := 16#5b03ed8a#;
   u00123 : constant Version_32 := 16#dbed93bc#;
   u00124 : constant Version_32 := 16#8d02aab0#;
   u00125 : constant Version_32 := 16#cf69bbb7#;
   u00126 : constant Version_32 := 16#f53c51ab#;
   u00127 : constant Version_32 := 16#3e7d115b#;
   u00128 : constant Version_32 := 16#18b20770#;
   u00129 : constant Version_32 := 16#353ee04c#;
   u00130 : constant Version_32 := 16#66616454#;
   u00131 : constant Version_32 := 16#696fe381#;
   u00132 : constant Version_32 := 16#d80cf61a#;
   u00133 : constant Version_32 := 16#1de34b3f#;
   u00134 : constant Version_32 := 16#3ad1331d#;
   u00135 : constant Version_32 := 16#e6129a88#;
   u00136 : constant Version_32 := 16#499c33c1#;
   u00137 : constant Version_32 := 16#95fffcdb#;
   u00138 : constant Version_32 := 16#def099bd#;
   u00139 : constant Version_32 := 16#9bbcf566#;
   u00140 : constant Version_32 := 16#f5258884#;
   u00141 : constant Version_32 := 16#00ea8db1#;
   u00142 : constant Version_32 := 16#448c977a#;
   u00143 : constant Version_32 := 16#94bb27f7#;
   u00144 : constant Version_32 := 16#ce451540#;
   u00145 : constant Version_32 := 16#544de90c#;
   u00146 : constant Version_32 := 16#b622b5d6#;
   u00147 : constant Version_32 := 16#cea2ffec#;
   u00148 : constant Version_32 := 16#5fdaadfb#;
   u00149 : constant Version_32 := 16#e76e1238#;
   u00150 : constant Version_32 := 16#8e4905e7#;
   u00151 : constant Version_32 := 16#d48dd2e3#;
   u00152 : constant Version_32 := 16#e71bade8#;
   u00153 : constant Version_32 := 16#e7f84790#;
   u00154 : constant Version_32 := 16#ca056e72#;
   u00155 : constant Version_32 := 16#61618ad3#;
   u00156 : constant Version_32 := 16#29b3ea3c#;
   u00157 : constant Version_32 := 16#d1f8404f#;
   u00158 : constant Version_32 := 16#acf54597#;
   u00159 : constant Version_32 := 16#f5e2aaaf#;
   u00160 : constant Version_32 := 16#75385290#;
   u00161 : constant Version_32 := 16#ed93fdd9#;
   u00162 : constant Version_32 := 16#6ea2d4ff#;
   u00163 : constant Version_32 := 16#0cccecd4#;
   u00164 : constant Version_32 := 16#8e48f945#;
   u00165 : constant Version_32 := 16#4ac4a8dc#;
   u00166 : constant Version_32 := 16#36ac9460#;
   u00167 : constant Version_32 := 16#a6f4004e#;
   u00168 : constant Version_32 := 16#9559b60c#;
   u00169 : constant Version_32 := 16#420888d8#;
   u00170 : constant Version_32 := 16#923573c8#;
   u00171 : constant Version_32 := 16#183b4446#;
   u00172 : constant Version_32 := 16#2bc9b45f#;
   u00173 : constant Version_32 := 16#10268d5c#;
   u00174 : constant Version_32 := 16#f9912f38#;
   u00175 : constant Version_32 := 16#1fc23291#;
   u00176 : constant Version_32 := 16#840768f3#;
   u00177 : constant Version_32 := 16#0c7cb4f1#;
   u00178 : constant Version_32 := 16#9d99b292#;
   u00179 : constant Version_32 := 16#a923a4ec#;
   u00180 : constant Version_32 := 16#a9b1294b#;
   u00181 : constant Version_32 := 16#ffb364e8#;
   u00182 : constant Version_32 := 16#cf9019b5#;
   u00183 : constant Version_32 := 16#ee40d48c#;
   u00184 : constant Version_32 := 16#7db7c5a1#;
   u00185 : constant Version_32 := 16#8c81aa22#;
   u00186 : constant Version_32 := 16#a56f9bb2#;
   u00187 : constant Version_32 := 16#24ebb068#;
   u00188 : constant Version_32 := 16#92df4a47#;
   u00189 : constant Version_32 := 16#1cca19e3#;
   u00190 : constant Version_32 := 16#ae562c43#;
   u00191 : constant Version_32 := 16#2f2ba060#;
   u00192 : constant Version_32 := 16#e550b369#;
   u00193 : constant Version_32 := 16#b372b29b#;
   u00194 : constant Version_32 := 16#cc1134cf#;
   u00195 : constant Version_32 := 16#b9828a2f#;
   u00196 : constant Version_32 := 16#1bc9f0e1#;
   u00197 : constant Version_32 := 16#70f768a2#;
   u00198 : constant Version_32 := 16#f0ddc3f6#;
   u00199 : constant Version_32 := 16#eccbd1ca#;
   u00200 : constant Version_32 := 16#3c09e836#;
   u00201 : constant Version_32 := 16#3ab3e7b1#;
   u00202 : constant Version_32 := 16#54ed61ee#;
   u00203 : constant Version_32 := 16#e0683b80#;
   u00204 : constant Version_32 := 16#52338e43#;
   u00205 : constant Version_32 := 16#7154aefa#;
   u00206 : constant Version_32 := 16#c6b1922f#;
   u00207 : constant Version_32 := 16#104bc041#;
   u00208 : constant Version_32 := 16#052cbfdd#;
   u00209 : constant Version_32 := 16#62845f90#;
   u00210 : constant Version_32 := 16#0b91bbe0#;
   u00211 : constant Version_32 := 16#5b6cf196#;
   u00212 : constant Version_32 := 16#59f1900b#;
   u00213 : constant Version_32 := 16#93e54ad4#;
   u00214 : constant Version_32 := 16#8f1492a7#;
   u00215 : constant Version_32 := 16#7b9158e1#;
   u00216 : constant Version_32 := 16#b99367c8#;
   u00217 : constant Version_32 := 16#d70845d3#;
   u00218 : constant Version_32 := 16#1c4bf460#;
   u00219 : constant Version_32 := 16#3229252c#;
   u00220 : constant Version_32 := 16#e2e219e5#;
   u00221 : constant Version_32 := 16#ba5d0f5e#;
   u00222 : constant Version_32 := 16#6c3602b9#;
   u00223 : constant Version_32 := 16#39b634b9#;
   u00224 : constant Version_32 := 16#b84a2406#;
   u00225 : constant Version_32 := 16#751a6fe3#;
   u00226 : constant Version_32 := 16#73f09c7d#;
   u00227 : constant Version_32 := 16#f9cf9b4e#;
   u00228 : constant Version_32 := 16#e84960ed#;
   u00229 : constant Version_32 := 16#2484a5bd#;
   u00230 : constant Version_32 := 16#5ceeb48b#;
   u00231 : constant Version_32 := 16#0af3600e#;
   u00232 : constant Version_32 := 16#e3ed385b#;
   u00233 : constant Version_32 := 16#803f8fdd#;
   u00234 : constant Version_32 := 16#f881146f#;
   u00235 : constant Version_32 := 16#93b36aae#;
   u00236 : constant Version_32 := 16#9bc41e94#;
   u00237 : constant Version_32 := 16#ddf7555d#;
   u00238 : constant Version_32 := 16#5c93c66f#;
   u00239 : constant Version_32 := 16#e7ca450f#;
   u00240 : constant Version_32 := 16#95ee06a2#;
   u00241 : constant Version_32 := 16#ef5a3549#;
   u00242 : constant Version_32 := 16#91f9f4f9#;
   u00243 : constant Version_32 := 16#c61833ce#;
   u00244 : constant Version_32 := 16#7aa0971d#;
   u00245 : constant Version_32 := 16#4fdeaeb1#;
   u00246 : constant Version_32 := 16#443a0df5#;
   u00247 : constant Version_32 := 16#d07bf7fc#;
   u00248 : constant Version_32 := 16#4a2d54a4#;
   u00249 : constant Version_32 := 16#5dc48aa1#;
   u00250 : constant Version_32 := 16#cd51992a#;
   u00251 : constant Version_32 := 16#eca87b30#;
   u00252 : constant Version_32 := 16#576ed712#;
   u00253 : constant Version_32 := 16#9886a1c3#;
   u00254 : constant Version_32 := 16#b92e0253#;
   u00255 : constant Version_32 := 16#bd47c945#;
   u00256 : constant Version_32 := 16#313ebf06#;
   u00257 : constant Version_32 := 16#202a5cfd#;
   u00258 : constant Version_32 := 16#842c78ec#;
   u00259 : constant Version_32 := 16#11b6422c#;

   pragma Export (C, u00001, "globalpartition_obj102B");
   pragma Export (C, u00002, "system__standard_libraryB");
   pragma Export (C, u00003, "system__standard_libraryS");
   pragma Export (C, u00004, "applicationprocess_wrappersB");
   pragma Export (C, u00005, "applicationprocess_wrappersS");
   pragma Export (C, u00006, "associatedcheckdefinitions_wrappersB");
   pragma Export (C, u00007, "associatedcheckdefinitions_wrappersS");
   pragma Export (C, u00008, "missiondatabase_wrappersB");
   pragma Export (C, u00009, "missiondatabase_wrappersS");
   pragma Export (C, u00010, "polyorb_hiS");
   pragma Export (C, u00011, "polyorb_hi__outputB");
   pragma Export (C, u00012, "polyorb_hi__outputS");
   pragma Export (C, u00013, "adaS");
   pragma Export (C, u00014, "ada__real_timeB");
   pragma Export (C, u00015, "ada__real_timeS");
   pragma Export (C, u00016, "interfacesS");
   pragma Export (C, u00017, "system__arith_64B");
   pragma Export (C, u00018, "system__arith_64S");
   pragma Export (C, u00019, "ada__exceptionsB");
   pragma Export (C, u00020, "ada__exceptionsS");
   pragma Export (C, u00021, "ada__exceptions__last_chance_handlerB");
   pragma Export (C, u00022, "ada__exceptions__last_chance_handlerS");
   pragma Export (C, u00023, "systemS");
   pragma Export (C, u00024, "system__soft_linksB");
   pragma Export (C, u00025, "system__soft_linksS");
   pragma Export (C, u00026, "system__parametersB");
   pragma Export (C, u00027, "system__parametersS");
   pragma Export (C, u00028, "system__secondary_stackB");
   pragma Export (C, u00029, "system__secondary_stackS");
   pragma Export (C, u00030, "system__storage_elementsB");
   pragma Export (C, u00031, "system__storage_elementsS");
   pragma Export (C, u00032, "system__stack_checkingB");
   pragma Export (C, u00033, "system__stack_checkingS");
   pragma Export (C, u00034, "system__exception_tableB");
   pragma Export (C, u00035, "system__exception_tableS");
   pragma Export (C, u00036, "system__htableB");
   pragma Export (C, u00037, "system__htableS");
   pragma Export (C, u00038, "system__exceptionsB");
   pragma Export (C, u00039, "system__exceptionsS");
   pragma Export (C, u00040, "system__string_opsB");
   pragma Export (C, u00041, "system__string_opsS");
   pragma Export (C, u00042, "system__string_ops_concat_3B");
   pragma Export (C, u00043, "system__string_ops_concat_3S");
   pragma Export (C, u00044, "system__tracebackB");
   pragma Export (C, u00045, "system__tracebackS");
   pragma Export (C, u00046, "system__unsigned_typesS");
   pragma Export (C, u00047, "system__wch_conB");
   pragma Export (C, u00048, "system__wch_conS");
   pragma Export (C, u00049, "system__wch_stwB");
   pragma Export (C, u00050, "system__wch_stwS");
   pragma Export (C, u00051, "system__wch_cnvB");
   pragma Export (C, u00052, "system__wch_cnvS");
   pragma Export (C, u00053, "system__wch_jisB");
   pragma Export (C, u00054, "system__wch_jisS");
   pragma Export (C, u00055, "system__traceback_entriesB");
   pragma Export (C, u00056, "system__traceback_entriesS");
   pragma Export (C, u00057, "system__task_primitivesS");
   pragma Export (C, u00058, "system__os_interfaceB");
   pragma Export (C, u00059, "system__os_interfaceS");
   pragma Export (C, u00060, "interfaces__cB");
   pragma Export (C, u00061, "interfaces__cS");
   pragma Export (C, u00062, "system__linuxS");
   pragma Export (C, u00063, "system__task_primitives__operationsB");
   pragma Export (C, u00064, "system__task_primitives__operationsS");
   pragma Export (C, u00065, "system__bit_opsB");
   pragma Export (C, u00066, "system__bit_opsS");
   pragma Export (C, u00067, "system__interrupt_managementB");
   pragma Export (C, u00068, "system__interrupt_managementS");
   pragma Export (C, u00069, "system__os_primitivesB");
   pragma Export (C, u00070, "system__os_primitivesS");
   pragma Export (C, u00071, "system__stack_checking__operationsB");
   pragma Export (C, u00072, "system__stack_checking__operationsS");
   pragma Export (C, u00073, "system__crtlS");
   pragma Export (C, u00074, "system__task_infoB");
   pragma Export (C, u00075, "system__task_infoS");
   pragma Export (C, u00076, "system__taskingB");
   pragma Export (C, u00077, "system__taskingS");
   pragma Export (C, u00078, "system__stack_usageB");
   pragma Export (C, u00079, "system__stack_usageS");
   pragma Export (C, u00080, "system__img_intB");
   pragma Export (C, u00081, "system__img_intS");
   pragma Export (C, u00082, "system__ioB");
   pragma Export (C, u00083, "system__ioS");
   pragma Export (C, u00084, "system__string_ops_concat_5B");
   pragma Export (C, u00085, "system__string_ops_concat_5S");
   pragma Export (C, u00086, "system__string_ops_concat_4B");
   pragma Export (C, u00087, "system__string_ops_concat_4S");
   pragma Export (C, u00088, "system__tasking__debugB");
   pragma Export (C, u00089, "system__tasking__debugS");
   pragma Export (C, u00090, "system__img_enum_newB");
   pragma Export (C, u00091, "system__img_enum_newS");
   pragma Export (C, u00092, "system__img_unsB");
   pragma Export (C, u00093, "system__img_unsS");
   pragma Export (C, u00094, "polyorb_hi__output_low_levelB");
   pragma Export (C, u00095, "polyorb_hi__output_low_levelS");
   pragma Export (C, u00096, "polyorb_hi__suspendersB");
   pragma Export (C, u00097, "polyorb_hi__suspendersS");
   pragma Export (C, u00098, "ada__real_time__delaysB");
   pragma Export (C, u00099, "ada__real_time__delaysS");
   pragma Export (C, u00100, "ada__synchronous_task_controlB");
   pragma Export (C, u00101, "ada__synchronous_task_controlS");
   pragma Export (C, u00102, "ada__finalizationB");
   pragma Export (C, u00103, "ada__finalizationS");
   pragma Export (C, u00104, "system__finalization_rootB");
   pragma Export (C, u00105, "system__finalization_rootS");
   pragma Export (C, u00106, "ada__streamsS");
   pragma Export (C, u00107, "ada__tagsB");
   pragma Export (C, u00108, "ada__tagsS");
   pragma Export (C, u00109, "system__val_unsB");
   pragma Export (C, u00110, "system__val_unsS");
   pragma Export (C, u00111, "system__val_utilB");
   pragma Export (C, u00112, "system__val_utilS");
   pragma Export (C, u00113, "system__case_utilB");
   pragma Export (C, u00114, "system__case_utilS");
   pragma Export (C, u00115, "system__finalization_implementationB");
   pragma Export (C, u00116, "system__finalization_implementationS");
   pragma Export (C, u00117, "system__restrictionsB");
   pragma Export (C, u00118, "system__restrictionsS");
   pragma Export (C, u00119, "system__stream_attributesB");
   pragma Export (C, u00120, "system__stream_attributesS");
   pragma Export (C, u00121, "ada__io_exceptionsS");
   pragma Export (C, u00122, "polyorb_hi_generatedS");
   pragma Export (C, u00123, "polyorb_hi_generated__deploymentS");
   pragma Export (C, u00124, "system__img_realB");
   pragma Export (C, u00125, "system__img_realS");
   pragma Export (C, u00126, "system__fat_llfS");
   pragma Export (C, u00127, "system__img_lluB");
   pragma Export (C, u00128, "system__img_lluS");
   pragma Export (C, u00129, "system__powten_tableS");
   pragma Export (C, u00130, "system__tasking__protected_objectsB");
   pragma Export (C, u00131, "system__tasking__protected_objectsS");
   pragma Export (C, u00132, "system__soft_links__taskingB");
   pragma Export (C, u00133, "system__soft_links__taskingS");
   pragma Export (C, u00134, "ada__exceptions__is_null_occurrenceB");
   pragma Export (C, u00135, "ada__exceptions__is_null_occurrenceS");
   pragma Export (C, u00136, "system__tracesB");
   pragma Export (C, u00137, "system__tracesS");
   pragma Export (C, u00138, "polyorb_hi__streamsS");
   pragma Export (C, u00139, "polyorb_hi_generated__activityB");
   pragma Export (C, u00140, "polyorb_hi_generated__activityS");
   pragma Export (C, u00141, "polyorb_hi__errorsS");
   pragma Export (C, u00142, "polyorb_hi__messagesB");
   pragma Export (C, u00143, "polyorb_hi__messagesS");
   pragma Export (C, u00144, "polyorb_hi__utilsB");
   pragma Export (C, u00145, "polyorb_hi__utilsS");
   pragma Export (C, u00146, "polyorb_hi__port_kindsB");
   pragma Export (C, u00147, "polyorb_hi__port_kindsS");
   pragma Export (C, u00148, "polyorb_hi__port_type_marshallersB");
   pragma Export (C, u00149, "polyorb_hi__port_type_marshallersS");
   pragma Export (C, u00150, "polyorb_hi__marshallers_gB");
   pragma Export (C, u00151, "polyorb_hi__marshallers_gS");
   pragma Export (C, u00152, "polyorb_hi__protocolsB");
   pragma Export (C, u00153, "polyorb_hi__protocolsS");
   pragma Export (C, u00154, "polyorb_hi_generated__transportB");
   pragma Export (C, u00155, "polyorb_hi_generated__transportS");
   pragma Export (C, u00156, "polyorb_hi_generated__marshallersB");
   pragma Export (C, u00157, "polyorb_hi_generated__marshallersS");
   pragma Export (C, u00158, "polyorb_hi_generated__typesB");
   pragma Export (C, u00159, "polyorb_hi_generated__typesS");
   pragma Export (C, u00160, "polyorb_hi__thread_interrogatorsB");
   pragma Export (C, u00161, "polyorb_hi__thread_interrogatorsS");
   pragma Export (C, u00162, "polyorb_hi__time_marshallersB");
   pragma Export (C, u00163, "polyorb_hi__time_marshallersS");
   pragma Export (C, u00164, "system__assertionsB");
   pragma Export (C, u00165, "system__assertionsS");
   pragma Export (C, u00166, "system__tasking__protected_objects__entriesB");
   pragma Export (C, u00167, "system__tasking__protected_objects__entriesS");
   pragma Export (C, u00168, "system__tasking__initializationB");
   pragma Export (C, u00169, "system__tasking__initializationS");
   pragma Export (C, u00170, "ada__finalization__list_controllerB");
   pragma Export (C, u00171, "ada__finalization__list_controllerS");
   pragma Export (C, u00172, "system__tasking__protected_objects__operationsB");
   pragma Export (C, u00173, "system__tasking__protected_objects__operationsS");
   pragma Export (C, u00174, "system__tasking__entry_callsB");
   pragma Export (C, u00175, "system__tasking__entry_callsS");
   pragma Export (C, u00176, "system__tasking__queuingB");
   pragma Export (C, u00177, "system__tasking__queuingS");
   pragma Export (C, u00178, "system__tasking__utilitiesB");
   pragma Export (C, u00179, "system__tasking__utilitiesS");
   pragma Export (C, u00180, "system__traces__taskingB");
   pragma Export (C, u00181, "system__traces__taskingS");
   pragma Export (C, u00182, "system__tasking__rendezvousB");
   pragma Export (C, u00183, "system__tasking__rendezvousS");
   pragma Export (C, u00184, "thegenerator_wrappersB");
   pragma Export (C, u00185, "thegenerator_wrappersS");
   pragma Export (C, u00186, "associatedcheckstates_wrappersB");
   pragma Export (C, u00187, "associatedcheckstates_wrappersS");
   pragma Export (C, u00188, "applicationprocess_async_ri_wrappersB");
   pragma Export (C, u00189, "applicationprocess_async_ri_wrappersS");
   pragma Export (C, u00190, "associatedcheckstatesB");
   pragma Export (C, u00191, "associatedcheckstatesS");
   pragma Export (C, u00192, "adaasn1rtlB");
   pragma Export (C, u00193, "adaasn1rtlS");
   pragma Export (C, u00194, "ada__charactersS");
   pragma Export (C, u00195, "ada__characters__latin_1S");
   pragma Export (C, u00196, "ada__stringsS");
   pragma Export (C, u00197, "ada__strings__fixedB");
   pragma Export (C, u00198, "ada__strings__fixedS");
   pragma Export (C, u00199, "ada__strings__mapsB");
   pragma Export (C, u00200, "ada__strings__mapsS");
   pragma Export (C, u00201, "ada__strings__searchB");
   pragma Export (C, u00202, "ada__strings__searchS");
   pragma Export (C, u00203, "system__exn_llfB");
   pragma Export (C, u00204, "system__exn_llfS");
   pragma Export (C, u00205, "system__fat_lfltS");
   pragma Export (C, u00206, "onboard_monitoringB");
   pragma Export (C, u00207, "onboard_monitoringS");
   pragma Export (C, u00208, "onboard_parametersB");
   pragma Export (C, u00209, "onboard_parametersS");
   pragma Export (C, u00210, "standard_datatypesB");
   pragma Export (C, u00211, "standard_datatypesS");
   pragma Export (C, u00212, "onboard_monitoring_dataviewB");
   pragma Export (C, u00213, "onboard_monitoring_dataviewS");
   pragma Export (C, u00214, "application_processesB");
   pragma Export (C, u00215, "application_processesS");
   pragma Export (C, u00216, "ground_wrappersB");
   pragma Export (C, u00217, "ground_wrappersS");
   pragma Export (C, u00218, "groundB");
   pragma Export (C, u00219, "groundS");
   pragma Export (C, u00220, "reportedcheckstatetransitions_wrappersB");
   pragma Export (C, u00221, "reportedcheckstatetransitions_wrappersS");
   pragma Export (C, u00222, "reportedcheckstatetransitionsB");
   pragma Export (C, u00223, "reportedcheckstatetransitionsS");
   pragma Export (C, u00224, "thechecktransitionreport_wrappersB");
   pragma Export (C, u00225, "thechecktransitionreport_wrappersS");
   pragma Export (C, u00226, "thechecktransitionreportB");
   pragma Export (C, u00227, "thechecktransitionreportS");
   pragma Export (C, u00228, "thegeneratorB");
   pragma Export (C, u00229, "thegeneratorS");
   pragma Export (C, u00230, "vt_checkedparameters_configure_wrappersB");
   pragma Export (C, u00231, "vt_checkedparameters_configure_wrappersS");
   pragma Export (C, u00232, "checkedparameters_wrappersB");
   pragma Export (C, u00233, "checkedparameters_wrappersS");
   pragma Export (C, u00234, "checkedparametersB");
   pragma Export (C, u00235, "checkedparametersS");
   pragma Export (C, u00236, "polyorb_hi__periodic_taskB");
   pragma Export (C, u00237, "polyorb_hi__periodic_taskS");
   pragma Export (C, u00238, "polyorb_hi__sporadic_taskB");
   pragma Export (C, u00239, "polyorb_hi__sporadic_taskS");
   pragma Export (C, u00240, "system__tasking__stagesB");
   pragma Export (C, u00241, "system__tasking__stagesS");
   pragma Export (C, u00242, "system__address_imageB");
   pragma Export (C, u00243, "system__address_imageS");
   pragma Export (C, u00244, "missiondatabaseB");
   pragma Export (C, u00245, "missiondatabaseS");
   pragma Export (C, u00246, "associatedcheckdefinitionsB");
   pragma Export (C, u00247, "associatedcheckdefinitionsS");
   pragma Export (C, u00248, "parameterpool_wrappersB");
   pragma Export (C, u00249, "parameterpool_wrappersS");
   pragma Export (C, u00250, "parameterpoolB");
   pragma Export (C, u00251, "parameterpoolS");
   pragma Export (C, u00252, "thechecker_wrappersB");
   pragma Export (C, u00253, "thechecker_wrappersS");
   pragma Export (C, u00254, "thecheckerB");
   pragma Export (C, u00255, "thecheckerS");
   pragma Export (C, u00256, "applicationprocessB");
   pragma Export (C, u00257, "applicationprocessS");
   pragma Export (C, u00258, "system__memoryB");
   pragma Export (C, u00259, "system__memoryS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_image%s
   --  system.arith_64%s
   --  system.bit_ops%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.htable%s
   --  system.htable%b
   --  system.img_enum_new%s
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_real%s
   --  system.io%s
   --  system.io%b
   --  system.linux%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.img_enum_new%b
   --  system.secondary_stack%s
   --  system.address_image%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.string_ops%s
   --  system.string_ops%b
   --  system.string_ops_concat_3%s
   --  system.string_ops_concat_3%b
   --  system.string_ops_concat_4%s
   --  system.string_ops_concat_4%b
   --  system.string_ops_concat_5%s
   --  system.string_ops_concat_5%b
   --  system.stack_usage%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.exceptions.last_chance_handler%s
   --  system.soft_links%s
   --  system.soft_links%b
   --  ada.exceptions.last_chance_handler%b
   --  system.stack_checking.operations%b
   --  system.secondary_stack%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.soft_links.tasking%s
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.fixed%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%b
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.img_real%b
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.finalization_implementation%s
   --  system.finalization_implementation%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  ada.finalization.list_controller%s
   --  ada.finalization.list_controller%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  ada.synchronous_task_control%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  ada.synchronous_task_control%b
   --  system.soft_links.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.utilities%s
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.tags%b
   --  ada.exceptions%b
   --  ada.real_time%s
   --  ada.real_time%b
   --  ada.real_time.delays%s
   --  ada.real_time.delays%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  system.tasking.stages%s
   --  system.tasking.stages%b
   --  adaasn1rtl%s
   --  adaasn1rtl%b
   --  application_processes%s
   --  application_processes%b
   --  applicationprocess%s
   --  applicationprocess%b
   --  polyorb_hi%s
   --  polyorb_hi.errors%s
   --  polyorb_hi.output_low_level%s
   --  polyorb_hi.output_low_level%b
   --  polyorb_hi.port_kinds%s
   --  polyorb_hi.port_kinds%b
   --  polyorb_hi.streams%s
   --  polyorb_hi_generated%s
   --  polyorb_hi_generated.deployment%s
   --  polyorb_hi.messages%s
   --  polyorb_hi.marshallers_g%s
   --  polyorb_hi.marshallers_g%b
   --  polyorb_hi.periodic_task%s
   --  polyorb_hi.protocols%s
   --  polyorb_hi.sporadic_task%s
   --  polyorb_hi.suspenders%s
   --  polyorb_hi.output%s
   --  polyorb_hi.output%b
   --  polyorb_hi.suspenders%b
   --  polyorb_hi.sporadic_task%b
   --  polyorb_hi.periodic_task%b
   --  polyorb_hi.thread_interrogators%s
   --  polyorb_hi.utils%s
   --  polyorb_hi.utils%b
   --  polyorb_hi.messages%b
   --  polyorb_hi.port_type_marshallers%s
   --  polyorb_hi.port_type_marshallers%b
   --  polyorb_hi.time_marshallers%s
   --  polyorb_hi.time_marshallers%b
   --  polyorb_hi.thread_interrogators%b
   --  polyorb_hi_generated.transport%s
   --  polyorb_hi.protocols%b
   --  polyorb_hi_generated.types%s
   --  polyorb_hi_generated.types%b
   --  applicationprocess_async_ri_wrappers%s
   --  applicationprocess_wrappers%s
   --  polyorb_hi_generated.activity%s
   --  applicationprocess_async_ri_wrappers%b
   --  polyorb_hi_generated.marshallers%s
   --  polyorb_hi_generated.marshallers%b
   --  polyorb_hi_generated.transport%b
   --  standard_datatypes%s
   --  standard_datatypes%b
   --  onboard_parameters%s
   --  onboard_parameters%b
   --  checkedparameters%s
   --  checkedparameters%b
   --  checkedparameters_wrappers%s
   --  checkedparameters_wrappers%b
   --  onboard_monitoring%s
   --  onboard_monitoring%b
   --  ground%s
   --  ground%b
   --  ground_wrappers%s
   --  ground_wrappers%b
   --  onboard_monitoring_dataview%s
   --  onboard_monitoring_dataview%b
   --  associatedcheckdefinitions%s
   --  associatedcheckdefinitions%b
   --  associatedcheckdefinitions_wrappers%s
   --  associatedcheckstates%s
   --  associatedcheckstates%b
   --  associatedcheckstates_wrappers%s
   --  associatedcheckstates_wrappers%b
   --  missiondatabase%s
   --  missiondatabase%b
   --  missiondatabase_wrappers%s
   --  missiondatabase_wrappers%b
   --  associatedcheckdefinitions_wrappers%b
   --  parameterpool%s
   --  parameterpool%b
   --  parameterpool_wrappers%s
   --  parameterpool_wrappers%b
   --  reportedcheckstatetransitions%s
   --  reportedcheckstatetransitions%b
   --  reportedcheckstatetransitions_wrappers%s
   --  reportedcheckstatetransitions_wrappers%b
   --  thechecker%s
   --  thechecker%b
   --  thechecker_wrappers%s
   --  thechecker_wrappers%b
   --  applicationprocess_wrappers%b
   --  thechecktransitionreport%s
   --  thechecktransitionreport%b
   --  thechecktransitionreport_wrappers%s
   --  thechecktransitionreport_wrappers%b
   --  thegenerator%s
   --  thegenerator%b
   --  thegenerator_wrappers%s
   --  thegenerator_wrappers%b
   --  vt_checkedparameters_configure_wrappers%s
   --  vt_checkedparameters_configure_wrappers%b
   --  polyorb_hi_generated.activity%b
   --  globalpartition_obj102%b
   --  END ELABORATION ORDER

end ada_main;
