#ifndef __C_DATAVIEW_UNIQ_H__
#define __C_DATAVIEW_UNIQ_H__

#include <stdlib.h> /* for size_t */

#include "dataview-uniq.h" // Space certified compiler generated

size_t Encode_UPER_Event_Action_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccEvent_Action_Service_Report *pSrc);
size_t Encode_ACN_Event_Action_Service_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccEvent_Action_Service_Report *pSrc);
size_t Encode_NATIVE_Event_Action_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccEvent_Action_Service_Report *pSrc);
int Decode_UPER_Event_Action_Service_Report(asn1SccEvent_Action_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Event_Action_Service_Report(asn1SccEvent_Action_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Event_Action_Service_Report(asn1SccEvent_Action_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_7(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_7 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_7(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_7 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_7(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_7 *pSrc);
int Decode_UPER_Fixed_Bit_String_7(asn1SccFixed_Bit_String_7 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_7(asn1SccFixed_Bit_String_7 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_7(asn1SccFixed_Bit_String_7 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_6(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_6 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_6(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_6 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_6(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_6 *pSrc);
int Decode_UPER_Fixed_Bit_String_6(asn1SccFixed_Bit_String_6 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_6(asn1SccFixed_Bit_String_6 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_6(asn1SccFixed_Bit_String_6 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Signed_Integer(void *pBuffer, size_t iMaxBufferSize, const asn1SccSigned_Integer *pSrc);
size_t Encode_ACN_Signed_Integer(void *pBuffer, size_t iMaxBufferSize, asn1SccSigned_Integer *pSrc);
size_t Encode_NATIVE_Signed_Integer(void *pBuffer, size_t iMaxBufferSize, const asn1SccSigned_Integer *pSrc);
int Decode_UPER_Signed_Integer(asn1SccSigned_Integer *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Signed_Integer(asn1SccSigned_Integer *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Signed_Integer(asn1SccSigned_Integer *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Low_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccLow_Severity_Error_Anomaly_Report *pSrc);
size_t Encode_ACN_Low_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccLow_Severity_Error_Anomaly_Report *pSrc);
size_t Encode_NATIVE_Low_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccLow_Severity_Error_Anomaly_Report *pSrc);
int Decode_UPER_Low_Severity_Error_Anomaly_Report(asn1SccLow_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Low_Severity_Error_Anomaly_Report(asn1SccLow_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Low_Severity_Error_Anomaly_Report(asn1SccLow_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Telecommand_Verification_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccTelecommand_Verification_Service_Report *pSrc);
size_t Encode_ACN_Telecommand_Verification_Service_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccTelecommand_Verification_Service_Report *pSrc);
size_t Encode_NATIVE_Telecommand_Verification_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccTelecommand_Verification_Service_Report *pSrc);
int Decode_UPER_Telecommand_Verification_Service_Report(asn1SccTelecommand_Verification_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Telecommand_Verification_Service_Report(asn1SccTelecommand_Verification_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Telecommand_Verification_Service_Report(asn1SccTelecommand_Verification_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_4(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_4 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_4(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_4 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_4(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_4 *pSrc);
int Decode_UPER_Fixed_Bit_String_4(asn1SccFixed_Bit_String_4 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_4(asn1SccFixed_Bit_String_4 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_4(asn1SccFixed_Bit_String_4 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_3(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_3 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_3(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_3 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_3(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_3 *pSrc);
int Decode_UPER_Fixed_Bit_String_3(asn1SccFixed_Bit_String_3 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_3(asn1SccFixed_Bit_String_3 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_3(asn1SccFixed_Bit_String_3 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_10(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_10 *pSrc);
size_t Encode_ACN_Fixed_Character_String_10(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_10 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_10(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_10 *pSrc);
int Decode_UPER_Fixed_Character_String_10(asn1SccFixed_Character_String_10 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_10(asn1SccFixed_Character_String_10 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_10(asn1SccFixed_Character_String_10 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_11(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_11 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_11(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_11 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_11(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_11 *pSrc);
int Decode_UPER_Fixed_Octet_String_11(asn1SccFixed_Octet_String_11 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_11(asn1SccFixed_Octet_String_11 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_11(asn1SccFixed_Octet_String_11 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_10(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_10 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_10(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_10 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_10(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_10 *pSrc);
int Decode_UPER_Fixed_Octet_String_10(asn1SccFixed_Octet_String_10 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_10(asn1SccFixed_Octet_String_10 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_10(asn1SccFixed_Octet_String_10 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_13(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_13 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_13(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_13 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_13(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_13 *pSrc);
int Decode_UPER_Fixed_Octet_String_13(asn1SccFixed_Octet_String_13 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_13(asn1SccFixed_Octet_String_13 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_13(asn1SccFixed_Octet_String_13 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_12(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_12 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_12(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_12 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_12(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_12 *pSrc);
int Decode_UPER_Fixed_Octet_String_12(asn1SccFixed_Octet_String_12 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_12(asn1SccFixed_Octet_String_12 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_12(asn1SccFixed_Octet_String_12 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_15(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_15 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_15(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_15 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_15(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_15 *pSrc);
int Decode_UPER_Fixed_Octet_String_15(asn1SccFixed_Octet_String_15 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_15(asn1SccFixed_Octet_String_15 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_15(asn1SccFixed_Octet_String_15 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_14(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_14 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_14(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_14 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_14(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_14 *pSrc);
int Decode_UPER_Fixed_Octet_String_14(asn1SccFixed_Octet_String_14 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_14(asn1SccFixed_Octet_String_14 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_14(asn1SccFixed_Octet_String_14 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_16(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_16 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_16(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_16 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_16(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_16 *pSrc);
int Decode_UPER_Fixed_Octet_String_16(asn1SccFixed_Octet_String_16 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_16(asn1SccFixed_Octet_String_16 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_16(asn1SccFixed_Octet_String_16 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_9(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_9 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_9(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_9 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_9(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_9 *pSrc);
int Decode_UPER_Fixed_Octet_String_9(asn1SccFixed_Octet_String_9 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_9(asn1SccFixed_Octet_String_9 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_9(asn1SccFixed_Octet_String_9 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_8(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_8 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_8(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_8 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_8(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_8 *pSrc);
int Decode_UPER_Fixed_Octet_String_8(asn1SccFixed_Octet_String_8 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_8(asn1SccFixed_Octet_String_8 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_8(asn1SccFixed_Octet_String_8 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_1 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_1(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_1 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_1 *pSrc);
int Decode_UPER_Fixed_Octet_String_1(asn1SccFixed_Octet_String_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_1(asn1SccFixed_Octet_String_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_1(asn1SccFixed_Octet_String_1 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_3(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_3 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_3(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_3 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_3(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_3 *pSrc);
int Decode_UPER_Fixed_Octet_String_3(asn1SccFixed_Octet_String_3 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_3(asn1SccFixed_Octet_String_3 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_3(asn1SccFixed_Octet_String_3 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Check_State(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_State *pSrc);
size_t Encode_ACN_Check_State(void *pBuffer, size_t iMaxBufferSize, asn1SccCheck_State *pSrc);
size_t Encode_NATIVE_Check_State(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_State *pSrc);
int Decode_UPER_Check_State(asn1SccCheck_State *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Check_State(asn1SccCheck_State *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Check_State(asn1SccCheck_State *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_5(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_5 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_5(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_5 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_5(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_5 *pSrc);
int Decode_UPER_Fixed_Octet_String_5(asn1SccFixed_Octet_String_5 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_5(asn1SccFixed_Octet_String_5 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_5(asn1SccFixed_Octet_String_5 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_4(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_4 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_4(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_4 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_4(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_4 *pSrc);
int Decode_UPER_Fixed_Octet_String_4(asn1SccFixed_Octet_String_4 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_4(asn1SccFixed_Octet_String_4 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_4(asn1SccFixed_Octet_String_4 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_7(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_7 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_7(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_7 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_7(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_7 *pSrc);
int Decode_UPER_Fixed_Octet_String_7(asn1SccFixed_Octet_String_7 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_7(asn1SccFixed_Octet_String_7 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_7(asn1SccFixed_Octet_String_7 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_6(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_6 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_6(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_6 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_6(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_6 *pSrc);
int Decode_UPER_Fixed_Octet_String_6(asn1SccFixed_Octet_String_6 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_6(asn1SccFixed_Octet_String_6 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_6(asn1SccFixed_Octet_String_6 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Transition_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccTransition_Report *pSrc);
size_t Encode_ACN_Transition_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccTransition_Report *pSrc);
size_t Encode_NATIVE_Transition_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccTransition_Report *pSrc);
int Decode_UPER_Transition_Report(asn1SccTransition_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Transition_Report(asn1SccTransition_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Transition_Report(asn1SccTransition_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Var_Bit_String(void *pBuffer, size_t iMaxBufferSize, const asn1SccVar_Bit_String *pSrc);
size_t Encode_ACN_Var_Bit_String(void *pBuffer, size_t iMaxBufferSize, asn1SccVar_Bit_String *pSrc);
size_t Encode_NATIVE_Var_Bit_String(void *pBuffer, size_t iMaxBufferSize, const asn1SccVar_Bit_String *pSrc);
int Decode_UPER_Var_Bit_String(asn1SccVar_Bit_String *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Var_Bit_String(asn1SccVar_Bit_String *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Var_Bit_String(asn1SccVar_Bit_String *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Check_Definition(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Definition *pSrc);
size_t Encode_ACN_Check_Definition(void *pBuffer, size_t iMaxBufferSize, asn1SccCheck_Definition *pSrc);
size_t Encode_NATIVE_Check_Definition(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Definition *pSrc);
int Decode_UPER_Check_Definition(asn1SccCheck_Definition *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Check_Definition(asn1SccCheck_Definition *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Check_Definition(asn1SccCheck_Definition *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_High_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccHigh_Severity_Error_Anomaly_Report *pSrc);
size_t Encode_ACN_High_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccHigh_Severity_Error_Anomaly_Report *pSrc);
size_t Encode_NATIVE_High_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccHigh_Severity_Error_Anomaly_Report *pSrc);
int Decode_UPER_High_Severity_Error_Anomaly_Report(asn1SccHigh_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_High_Severity_Error_Anomaly_Report(asn1SccHigh_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_High_Severity_Error_Anomaly_Report(asn1SccHigh_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_13(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_13 *pSrc);
size_t Encode_ACN_Fixed_Character_String_13(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_13 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_13(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_13 *pSrc);
int Decode_UPER_Fixed_Character_String_13(asn1SccFixed_Character_String_13 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_13(asn1SccFixed_Character_String_13 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_13(asn1SccFixed_Character_String_13 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Pus_Relative_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccPus_Relative_Time *pSrc);
size_t Encode_ACN_Pus_Relative_Time(void *pBuffer, size_t iMaxBufferSize, asn1SccPus_Relative_Time *pSrc);
size_t Encode_NATIVE_Pus_Relative_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccPus_Relative_Time *pSrc);
int Decode_UPER_Pus_Relative_Time(asn1SccPus_Relative_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Pus_Relative_Time(asn1SccPus_Relative_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Pus_Relative_Time(asn1SccPus_Relative_Time *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Application_Process_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccApplication_Process_ID *pSrc);
size_t Encode_ACN_Application_Process_ID(void *pBuffer, size_t iMaxBufferSize, asn1SccApplication_Process_ID *pSrc);
size_t Encode_NATIVE_Application_Process_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccApplication_Process_ID *pSrc);
int Decode_UPER_Application_Process_ID(asn1SccApplication_Process_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Application_Process_ID(asn1SccApplication_Process_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Application_Process_ID(asn1SccApplication_Process_ID *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Check_Transition_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Transition_Report *pSrc);
size_t Encode_ACN_Check_Transition_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccCheck_Transition_Report *pSrc);
size_t Encode_NATIVE_Check_Transition_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Transition_Report *pSrc);
int Decode_UPER_Check_Transition_Report(asn1SccCheck_Transition_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Check_Transition_Report(asn1SccCheck_Transition_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Check_Transition_Report(asn1SccCheck_Transition_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Parameter_ID_Set(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_ID_Set *pSrc);
size_t Encode_ACN_Parameter_ID_Set(void *pBuffer, size_t iMaxBufferSize, asn1SccParameter_ID_Set *pSrc);
size_t Encode_NATIVE_Parameter_ID_Set(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_ID_Set *pSrc);
int Decode_UPER_Parameter_ID_Set(asn1SccParameter_ID_Set *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Parameter_ID_Set(asn1SccParameter_ID_Set *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Parameter_ID_Set(asn1SccParameter_ID_Set *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Time_Rep_Spec(void *pBuffer, size_t iMaxBufferSize, const asn1SccTime_Rep_Spec *pSrc);
size_t Encode_ACN_Time_Rep_Spec(void *pBuffer, size_t iMaxBufferSize, asn1SccTime_Rep_Spec *pSrc);
size_t Encode_NATIVE_Time_Rep_Spec(void *pBuffer, size_t iMaxBufferSize, const asn1SccTime_Rep_Spec *pSrc);
int Decode_UPER_Time_Rep_Spec(asn1SccTime_Rep_Spec *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Time_Rep_Spec(asn1SccTime_Rep_Spec *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Time_Rep_Spec(asn1SccTime_Rep_Spec *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_12(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_12 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_12(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_12 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_12(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_12 *pSrc);
int Decode_UPER_Fixed_Bit_String_12(asn1SccFixed_Bit_String_12 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_12(asn1SccFixed_Bit_String_12 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_12(asn1SccFixed_Bit_String_12 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Parameter_Value_Set(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_Value_Set *pSrc);
size_t Encode_ACN_Parameter_Value_Set(void *pBuffer, size_t iMaxBufferSize, asn1SccParameter_Value_Set *pSrc);
size_t Encode_NATIVE_Parameter_Value_Set(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_Value_Set *pSrc);
int Decode_UPER_Parameter_Value_Set(asn1SccParameter_Value_Set *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Parameter_Value_Set(asn1SccParameter_Value_Set *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Parameter_Value_Set(asn1SccParameter_Value_Set *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_On_Board_Fine_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccOn_Board_Fine_Time *pSrc);
size_t Encode_ACN_On_Board_Fine_Time(void *pBuffer, size_t iMaxBufferSize, asn1SccOn_Board_Fine_Time *pSrc);
size_t Encode_NATIVE_On_Board_Fine_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccOn_Board_Fine_Time *pSrc);
int Decode_UPER_On_Board_Fine_Time(asn1SccOn_Board_Fine_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_On_Board_Fine_Time(asn1SccOn_Board_Fine_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_On_Board_Fine_Time(asn1SccOn_Board_Fine_Time *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_16(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_16 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_16(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_16 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_16(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_16 *pSrc);
int Decode_UPER_Fixed_Bit_String_16(asn1SccFixed_Bit_String_16 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_16(asn1SccFixed_Bit_String_16 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_16(asn1SccFixed_Bit_String_16 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_15(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_15 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_15(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_15 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_15(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_15 *pSrc);
int Decode_UPER_Fixed_Bit_String_15(asn1SccFixed_Bit_String_15 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_15(asn1SccFixed_Bit_String_15 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_15(asn1SccFixed_Bit_String_15 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_14(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_14 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_14(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_14 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_14(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_14 *pSrc);
int Decode_UPER_Fixed_Bit_String_14(asn1SccFixed_Bit_String_14 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_14(asn1SccFixed_Bit_String_14 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_14(asn1SccFixed_Bit_String_14 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_13(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_13 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_13(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_13 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_13(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_13 *pSrc);
int Decode_UPER_Fixed_Bit_String_13(asn1SccFixed_Bit_String_13 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_13(asn1SccFixed_Bit_String_13 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_13(asn1SccFixed_Bit_String_13 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Var_Octet_String(void *pBuffer, size_t iMaxBufferSize, const asn1SccVar_Octet_String *pSrc);
size_t Encode_ACN_Var_Octet_String(void *pBuffer, size_t iMaxBufferSize, asn1SccVar_Octet_String *pSrc);
size_t Encode_NATIVE_Var_Octet_String(void *pBuffer, size_t iMaxBufferSize, const asn1SccVar_Octet_String *pSrc);
int Decode_UPER_Var_Octet_String(asn1SccVar_Octet_String *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Var_Octet_String(asn1SccVar_Octet_String *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Var_Octet_String(asn1SccVar_Octet_String *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_11(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_11 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_11(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_11 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_11(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_11 *pSrc);
int Decode_UPER_Fixed_Bit_String_11(asn1SccFixed_Bit_String_11 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_11(asn1SccFixed_Bit_String_11 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_11(asn1SccFixed_Bit_String_11 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_10(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_10 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_10(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_10 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_10(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_10 *pSrc);
int Decode_UPER_Fixed_Bit_String_10(asn1SccFixed_Bit_String_10 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_10(asn1SccFixed_Bit_String_10 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_10(asn1SccFixed_Bit_String_10 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Check_Transition(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Transition *pSrc);
size_t Encode_ACN_Check_Transition(void *pBuffer, size_t iMaxBufferSize, asn1SccCheck_Transition *pSrc);
size_t Encode_NATIVE_Check_Transition(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Transition *pSrc);
int Decode_UPER_Check_Transition(asn1SccCheck_Transition *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Check_Transition(asn1SccCheck_Transition *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Check_Transition(asn1SccCheck_Transition *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccError_Anomaly_Report *pSrc);
size_t Encode_ACN_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccError_Anomaly_Report *pSrc);
size_t Encode_NATIVE_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccError_Anomaly_Report *pSrc);
int Decode_UPER_Error_Anomaly_Report(asn1SccError_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Error_Anomaly_Report(asn1SccError_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Error_Anomaly_Report(asn1SccError_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Standard_Boolean(void *pBuffer, size_t iMaxBufferSize, const asn1SccStandard_Boolean *pSrc);
size_t Encode_ACN_Standard_Boolean(void *pBuffer, size_t iMaxBufferSize, asn1SccStandard_Boolean *pSrc);
size_t Encode_NATIVE_Standard_Boolean(void *pBuffer, size_t iMaxBufferSize, const asn1SccStandard_Boolean *pSrc);
int Decode_UPER_Standard_Boolean(asn1SccStandard_Boolean *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Standard_Boolean(asn1SccStandard_Boolean *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Standard_Boolean(asn1SccStandard_Boolean *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Event_Reporting_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccEvent_Reporting_Service_Report *pSrc);
size_t Encode_ACN_Event_Reporting_Service_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccEvent_Reporting_Service_Report *pSrc);
size_t Encode_NATIVE_Event_Reporting_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccEvent_Reporting_Service_Report *pSrc);
int Decode_UPER_Event_Reporting_Service_Report(asn1SccEvent_Reporting_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Event_Reporting_Service_Report(asn1SccEvent_Reporting_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Event_Reporting_Service_Report(asn1SccEvent_Reporting_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Report_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccReport_ID *pSrc);
size_t Encode_ACN_Report_ID(void *pBuffer, size_t iMaxBufferSize, asn1SccReport_ID *pSrc);
size_t Encode_NATIVE_Report_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccReport_ID *pSrc);
int Decode_UPER_Report_ID(asn1SccReport_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Report_ID(asn1SccReport_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Report_ID(asn1SccReport_ID *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_On_Board_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccOn_Board_Time *pSrc);
size_t Encode_ACN_On_Board_Time(void *pBuffer, size_t iMaxBufferSize, asn1SccOn_Board_Time *pSrc);
size_t Encode_NATIVE_On_Board_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccOn_Board_Time *pSrc);
int Decode_UPER_On_Board_Time(asn1SccOn_Board_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_On_Board_Time(asn1SccOn_Board_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_On_Board_Time(asn1SccOn_Board_Time *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Unsigned_Integer(void *pBuffer, size_t iMaxBufferSize, const asn1SccUnsigned_Integer *pSrc);
size_t Encode_ACN_Unsigned_Integer(void *pBuffer, size_t iMaxBufferSize, asn1SccUnsigned_Integer *pSrc);
size_t Encode_NATIVE_Unsigned_Integer(void *pBuffer, size_t iMaxBufferSize, const asn1SccUnsigned_Integer *pSrc);
int Decode_UPER_Unsigned_Integer(asn1SccUnsigned_Integer *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Unsigned_Integer(asn1SccUnsigned_Integer *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Unsigned_Integer(asn1SccUnsigned_Integer *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Parameter_Value(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_Value *pSrc);
size_t Encode_ACN_Parameter_Value(void *pBuffer, size_t iMaxBufferSize, asn1SccParameter_Value *pSrc);
size_t Encode_NATIVE_Parameter_Value(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_Value *pSrc);
int Decode_UPER_Parameter_Value(asn1SccParameter_Value *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Parameter_Value(asn1SccParameter_Value *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Parameter_Value(asn1SccParameter_Value *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_On_Board_Coarse_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccOn_Board_Coarse_Time *pSrc);
size_t Encode_ACN_On_Board_Coarse_Time(void *pBuffer, size_t iMaxBufferSize, asn1SccOn_Board_Coarse_Time *pSrc);
size_t Encode_NATIVE_On_Board_Coarse_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccOn_Board_Coarse_Time *pSrc);
int Decode_UPER_On_Board_Coarse_Time(asn1SccOn_Board_Coarse_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_On_Board_Coarse_Time(asn1SccOn_Board_Coarse_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_On_Board_Coarse_Time(asn1SccOn_Board_Coarse_Time *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Telecommand_Packet_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccTelecommand_Packet_ID *pSrc);
size_t Encode_ACN_Telecommand_Packet_ID(void *pBuffer, size_t iMaxBufferSize, asn1SccTelecommand_Packet_ID *pSrc);
size_t Encode_NATIVE_Telecommand_Packet_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccTelecommand_Packet_ID *pSrc);
int Decode_UPER_Telecommand_Packet_ID(asn1SccTelecommand_Packet_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Telecommand_Packet_ID(asn1SccTelecommand_Packet_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Telecommand_Packet_ID(asn1SccTelecommand_Packet_ID *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_9(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_9 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_9(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_9 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_9(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_9 *pSrc);
int Decode_UPER_Fixed_Bit_String_9(asn1SccFixed_Bit_String_9 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_9(asn1SccFixed_Bit_String_9 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_9(asn1SccFixed_Bit_String_9 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_8(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_8 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_8(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_8 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_8(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_8 *pSrc);
int Decode_UPER_Fixed_Bit_String_8(asn1SccFixed_Bit_String_8 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_8(asn1SccFixed_Bit_String_8 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_8(asn1SccFixed_Bit_String_8 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_15(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_15 *pSrc);
size_t Encode_ACN_Fixed_Character_String_15(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_15 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_15(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_15 *pSrc);
int Decode_UPER_Fixed_Character_String_15(asn1SccFixed_Character_String_15 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_15(asn1SccFixed_Character_String_15 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_15(asn1SccFixed_Character_String_15 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_14(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_14 *pSrc);
size_t Encode_ACN_Fixed_Character_String_14(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_14 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_14(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_14 *pSrc);
int Decode_UPER_Fixed_Character_String_14(asn1SccFixed_Character_String_14 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_14(asn1SccFixed_Character_String_14 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_14(asn1SccFixed_Character_String_14 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_5(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_5 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_5(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_5 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_5(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_5 *pSrc);
int Decode_UPER_Fixed_Bit_String_5(asn1SccFixed_Bit_String_5 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_5(asn1SccFixed_Bit_String_5 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_5(asn1SccFixed_Bit_String_5 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_16(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_16 *pSrc);
size_t Encode_ACN_Fixed_Character_String_16(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_16 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_16(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_16 *pSrc);
int Decode_UPER_Fixed_Character_String_16(asn1SccFixed_Character_String_16 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_16(asn1SccFixed_Character_String_16 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_16(asn1SccFixed_Character_String_16 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_11(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_11 *pSrc);
size_t Encode_ACN_Fixed_Character_String_11(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_11 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_11(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_11 *pSrc);
int Decode_UPER_Fixed_Character_String_11(asn1SccFixed_Character_String_11 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_11(asn1SccFixed_Character_String_11 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_11(asn1SccFixed_Character_String_11 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_2 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_2(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_2 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_2 *pSrc);
int Decode_UPER_Fixed_Bit_String_2(asn1SccFixed_Bit_String_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_2(asn1SccFixed_Bit_String_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_2(asn1SccFixed_Bit_String_2 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Bit_String_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_1 *pSrc);
size_t Encode_ACN_Fixed_Bit_String_1(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Bit_String_1 *pSrc);
size_t Encode_NATIVE_Fixed_Bit_String_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Bit_String_1 *pSrc);
int Decode_UPER_Fixed_Bit_String_1(asn1SccFixed_Bit_String_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Bit_String_1(asn1SccFixed_Bit_String_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Bit_String_1(asn1SccFixed_Bit_String_1 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_12(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_12 *pSrc);
size_t Encode_ACN_Fixed_Character_String_12(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_12 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_12(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_12 *pSrc);
int Decode_UPER_Fixed_Character_String_12(asn1SccFixed_Character_String_12 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_12(asn1SccFixed_Character_String_12 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_12(asn1SccFixed_Character_String_12 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_5(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_5 *pSrc);
size_t Encode_ACN_Fixed_Character_String_5(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_5 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_5(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_5 *pSrc);
int Decode_UPER_Fixed_Character_String_5(asn1SccFixed_Character_String_5 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_5(asn1SccFixed_Character_String_5 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_5(asn1SccFixed_Character_String_5 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_4(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_4 *pSrc);
size_t Encode_ACN_Fixed_Character_String_4(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_4 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_4(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_4 *pSrc);
int Decode_UPER_Fixed_Character_String_4(asn1SccFixed_Character_String_4 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_4(asn1SccFixed_Character_String_4 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_4(asn1SccFixed_Character_String_4 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_7(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_7 *pSrc);
size_t Encode_ACN_Fixed_Character_String_7(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_7 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_7(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_7 *pSrc);
int Decode_UPER_Fixed_Character_String_7(asn1SccFixed_Character_String_7 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_7(asn1SccFixed_Character_String_7 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_7(asn1SccFixed_Character_String_7 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_6(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_6 *pSrc);
size_t Encode_ACN_Fixed_Character_String_6(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_6 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_6(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_6 *pSrc);
int Decode_UPER_Fixed_Character_String_6(asn1SccFixed_Character_String_6 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_6(asn1SccFixed_Character_String_6 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_6(asn1SccFixed_Character_String_6 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_1 *pSrc);
size_t Encode_ACN_Fixed_Character_String_1(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_1 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_1 *pSrc);
int Decode_UPER_Fixed_Character_String_1(asn1SccFixed_Character_String_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_1(asn1SccFixed_Character_String_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_1(asn1SccFixed_Character_String_1 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_3(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_3 *pSrc);
size_t Encode_ACN_Fixed_Character_String_3(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_3 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_3(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_3 *pSrc);
int Decode_UPER_Fixed_Character_String_3(asn1SccFixed_Character_String_3 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_3(asn1SccFixed_Character_String_3 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_3(asn1SccFixed_Character_String_3 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_2 *pSrc);
size_t Encode_ACN_Fixed_Character_String_2(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_2 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_2 *pSrc);
int Decode_UPER_Fixed_Character_String_2(asn1SccFixed_Character_String_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_2(asn1SccFixed_Character_String_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_2(asn1SccFixed_Character_String_2 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_9(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_9 *pSrc);
size_t Encode_ACN_Fixed_Character_String_9(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_9 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_9(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_9 *pSrc);
int Decode_UPER_Fixed_Character_String_9(asn1SccFixed_Character_String_9 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_9(asn1SccFixed_Character_String_9 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_9(asn1SccFixed_Character_String_9 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Character_String_8(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_8 *pSrc);
size_t Encode_ACN_Fixed_Character_String_8(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Character_String_8 *pSrc);
size_t Encode_NATIVE_Fixed_Character_String_8(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Character_String_8 *pSrc);
int Decode_UPER_Fixed_Character_String_8(asn1SccFixed_Character_String_8 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Character_String_8(asn1SccFixed_Character_String_8 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Character_String_8(asn1SccFixed_Character_String_8 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Onboard_Monitoring_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccOnboard_Monitoring_Service_Report *pSrc);
size_t Encode_ACN_Onboard_Monitoring_Service_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccOnboard_Monitoring_Service_Report *pSrc);
size_t Encode_NATIVE_Onboard_Monitoring_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccOnboard_Monitoring_Service_Report *pSrc);
int Decode_UPER_Onboard_Monitoring_Service_Report(asn1SccOnboard_Monitoring_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Onboard_Monitoring_Service_Report(asn1SccOnboard_Monitoring_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Onboard_Monitoring_Service_Report(asn1SccOnboard_Monitoring_Service_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Pus_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccPus_Time *pSrc);
size_t Encode_ACN_Pus_Time(void *pBuffer, size_t iMaxBufferSize, asn1SccPus_Time *pSrc);
size_t Encode_NATIVE_Pus_Time(void *pBuffer, size_t iMaxBufferSize, const asn1SccPus_Time *pSrc);
int Decode_UPER_Pus_Time(asn1SccPus_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Pus_Time(asn1SccPus_Time *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Pus_Time(asn1SccPus_Time *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Normal_Progress_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccNormal_Progress_Report *pSrc);
size_t Encode_ACN_Normal_Progress_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccNormal_Progress_Report *pSrc);
size_t Encode_NATIVE_Normal_Progress_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccNormal_Progress_Report *pSrc);
int Decode_UPER_Normal_Progress_Report(asn1SccNormal_Progress_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Normal_Progress_Report(asn1SccNormal_Progress_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Normal_Progress_Report(asn1SccNormal_Progress_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Var_Character_String(void *pBuffer, size_t iMaxBufferSize, const asn1SccVar_Character_String *pSrc);
size_t Encode_ACN_Var_Character_String(void *pBuffer, size_t iMaxBufferSize, asn1SccVar_Character_String *pSrc);
size_t Encode_NATIVE_Var_Character_String(void *pBuffer, size_t iMaxBufferSize, const asn1SccVar_Character_String *pSrc);
int Decode_UPER_Var_Character_String(asn1SccVar_Character_String *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Var_Character_String(asn1SccVar_Character_String *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Var_Character_String(asn1SccVar_Character_String *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Successful_Telecommand_Verification_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccSuccessful_Telecommand_Verification_Report *pSrc);
size_t Encode_ACN_Successful_Telecommand_Verification_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccSuccessful_Telecommand_Verification_Report *pSrc);
size_t Encode_NATIVE_Successful_Telecommand_Verification_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccSuccessful_Telecommand_Verification_Report *pSrc);
int Decode_UPER_Successful_Telecommand_Verification_Report(asn1SccSuccessful_Telecommand_Verification_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Successful_Telecommand_Verification_Report(asn1SccSuccessful_Telecommand_Verification_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Successful_Telecommand_Verification_Report(asn1SccSuccessful_Telecommand_Verification_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Verification_Failure_Code(void *pBuffer, size_t iMaxBufferSize, const asn1SccVerification_Failure_Code *pSrc);
size_t Encode_ACN_Verification_Failure_Code(void *pBuffer, size_t iMaxBufferSize, asn1SccVerification_Failure_Code *pSrc);
size_t Encode_NATIVE_Verification_Failure_Code(void *pBuffer, size_t iMaxBufferSize, const asn1SccVerification_Failure_Code *pSrc);
int Decode_UPER_Verification_Failure_Code(asn1SccVerification_Failure_Code *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Verification_Failure_Code(asn1SccVerification_Failure_Code *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Verification_Failure_Code(asn1SccVerification_Failure_Code *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Checking_Status(void *pBuffer, size_t iMaxBufferSize, const asn1SccChecking_Status *pSrc);
size_t Encode_ACN_Checking_Status(void *pBuffer, size_t iMaxBufferSize, asn1SccChecking_Status *pSrc);
size_t Encode_NATIVE_Checking_Status(void *pBuffer, size_t iMaxBufferSize, const asn1SccChecking_Status *pSrc);
int Decode_UPER_Checking_Status(asn1SccChecking_Status *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Checking_Status(asn1SccChecking_Status *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Checking_Status(asn1SccChecking_Status *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Real_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccReal_1 *pSrc);
size_t Encode_ACN_Real_1(void *pBuffer, size_t iMaxBufferSize, asn1SccReal_1 *pSrc);
size_t Encode_NATIVE_Real_1(void *pBuffer, size_t iMaxBufferSize, const asn1SccReal_1 *pSrc);
int Decode_UPER_Real_1(asn1SccReal_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Real_1(asn1SccReal_1 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Real_1(asn1SccReal_1 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Parameter_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_ID *pSrc);
size_t Encode_ACN_Parameter_ID(void *pBuffer, size_t iMaxBufferSize, asn1SccParameter_ID *pSrc);
size_t Encode_NATIVE_Parameter_ID(void *pBuffer, size_t iMaxBufferSize, const asn1SccParameter_ID *pSrc);
int Decode_UPER_Parameter_ID(asn1SccParameter_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Parameter_ID(asn1SccParameter_ID *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Parameter_ID(asn1SccParameter_ID *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Real_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccReal_2 *pSrc);
size_t Encode_ACN_Real_2(void *pBuffer, size_t iMaxBufferSize, asn1SccReal_2 *pSrc);
size_t Encode_NATIVE_Real_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccReal_2 *pSrc);
int Decode_UPER_Real_2(asn1SccReal_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Real_2(asn1SccReal_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Real_2(asn1SccReal_2 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccService_Report *pSrc);
size_t Encode_ACN_Service_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccService_Report *pSrc);
size_t Encode_NATIVE_Service_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccService_Report *pSrc);
int Decode_UPER_Service_Report(asn1SccService_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Service_Report(asn1SccService_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Service_Report(asn1SccService_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Fixed_Octet_String_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_2 *pSrc);
size_t Encode_ACN_Fixed_Octet_String_2(void *pBuffer, size_t iMaxBufferSize, asn1SccFixed_Octet_String_2 *pSrc);
size_t Encode_NATIVE_Fixed_Octet_String_2(void *pBuffer, size_t iMaxBufferSize, const asn1SccFixed_Octet_String_2 *pSrc);
int Decode_UPER_Fixed_Octet_String_2(asn1SccFixed_Octet_String_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Fixed_Octet_String_2(asn1SccFixed_Octet_String_2 *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Fixed_Octet_String_2(asn1SccFixed_Octet_String_2 *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Time_Component_Rep_Spec(void *pBuffer, size_t iMaxBufferSize, const asn1SccTime_Component_Rep_Spec *pSrc);
size_t Encode_ACN_Time_Component_Rep_Spec(void *pBuffer, size_t iMaxBufferSize, asn1SccTime_Component_Rep_Spec *pSrc);
size_t Encode_NATIVE_Time_Component_Rep_Spec(void *pBuffer, size_t iMaxBufferSize, const asn1SccTime_Component_Rep_Spec *pSrc);
int Decode_UPER_Time_Component_Rep_Spec(asn1SccTime_Component_Rep_Spec *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Time_Component_Rep_Spec(asn1SccTime_Component_Rep_Spec *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Time_Component_Rep_Spec(asn1SccTime_Component_Rep_Spec *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Medium_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccMedium_Severity_Error_Anomaly_Report *pSrc);
size_t Encode_ACN_Medium_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccMedium_Severity_Error_Anomaly_Report *pSrc);
size_t Encode_NATIVE_Medium_Severity_Error_Anomaly_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccMedium_Severity_Error_Anomaly_Report *pSrc);
int Decode_UPER_Medium_Severity_Error_Anomaly_Report(asn1SccMedium_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Medium_Severity_Error_Anomaly_Report(asn1SccMedium_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Medium_Severity_Error_Anomaly_Report(asn1SccMedium_Severity_Error_Anomaly_Report *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Check_Transition_Set(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Transition_Set *pSrc);
size_t Encode_ACN_Check_Transition_Set(void *pBuffer, size_t iMaxBufferSize, asn1SccCheck_Transition_Set *pSrc);
size_t Encode_NATIVE_Check_Transition_Set(void *pBuffer, size_t iMaxBufferSize, const asn1SccCheck_Transition_Set *pSrc);
int Decode_UPER_Check_Transition_Set(asn1SccCheck_Transition_Set *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Check_Transition_Set(asn1SccCheck_Transition_Set *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Check_Transition_Set(asn1SccCheck_Transition_Set *pDst, void *pBuffer, size_t iBufferSize);
size_t Encode_UPER_Failing_Telecommand_Verification_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccFailing_Telecommand_Verification_Report *pSrc);
size_t Encode_ACN_Failing_Telecommand_Verification_Report(void *pBuffer, size_t iMaxBufferSize, asn1SccFailing_Telecommand_Verification_Report *pSrc);
size_t Encode_NATIVE_Failing_Telecommand_Verification_Report(void *pBuffer, size_t iMaxBufferSize, const asn1SccFailing_Telecommand_Verification_Report *pSrc);
int Decode_UPER_Failing_Telecommand_Verification_Report(asn1SccFailing_Telecommand_Verification_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_ACN_Failing_Telecommand_Verification_Report(asn1SccFailing_Telecommand_Verification_Report *pDst, void *pBuffer, size_t iBufferSize);
int Decode_NATIVE_Failing_Telecommand_Verification_Report(asn1SccFailing_Telecommand_Verification_Report *pDst, void *pBuffer, size_t iBufferSize);

#endif
