-- User implementation of the parameterpool function
-- This file will never be overwritten once edited and modified
-- Only the interface of functions is regenerated (in the .ads file)

pragma style_checks (off);
pragma warnings (off);
with adaasn1rtl;
use adaasn1rtl;

with onboard_parameters;
use onboard_parameters;

package body parameterpool is

   ---------------------------------------------------------
   -- Provided interface "getParameter"
   ---------------------------------------------------------
   procedure getParameter (id : access asn1sccParameter_ID; currentvalue : access asn1sccParameter_Value) is
   begin

      case id.all is
         when asn1Sccvoltage_1 =>

            currentvalue.all := asn1sccParameter_Value'(kind     => type_1_0_PRESENT,
                                                        type_1_0 => 42);

         when asn1Sccvoltage_2 =>

            currentvalue.all := asn1sccParameter_Value'(kind     => type_1_1_PRESENT,
                                                        type_1_1 => 10);
      end case; -- id


   end getParameter;


end parameterpool;
